{% extends "bootstrap/base.html" %}

{% block title %}{{ title }}{% endblock %}

{% block styles %}
{{ super() }}
    <link rel="stylesheet" href="{{ url_for('static', filename='azer.css') }}">
    <link rel="icon" href="{{ url_for('static', filename='images/favicon_album.ico') }}" />
{% endblock %}

{% block navbar %}
<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">

        {% if current_user.is_authenticated %}
          <a class="navbar-brand" href="{{ url_for('user', username=current_user.username) }}">{{ current_user.username }} </a>
        {% else %}
          <a class="navbar-brand" href="/login">Log-in <i class="fas fa-sign-in-alt"></i></a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
        {% endif %}
        <div class="collapse navbar-collapse" id="navbar">
          <ul class="navbar-nav mr-auto">
            <li class="nav-item" id="home-tab" >
              <a class="nav-link" href="/">Accueil</a>
            </li>
            <li class="nav-item" id="songs-tab">
              <a class="nav-link" href="/songs">Albums</a>
            </li>
            <li class="nav-item" id="artists-tab">
              <a class="nav-link" href="/artists">Artistes</a>
            </li>
            <li class="nav-item dropdown " id="genres-tab">
              <a class="nav-link dropdown-toggle" href="#" id="dropdown01" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Genres</a>
              <div class="dropdown-menu" aria-labelledby="dropdown01">
                {% for g in genres %}
                <a class="dropdown-item btn-sm" href="{{ url_for('genre', name = g  ) }}">{{ g }}</a>
                {% endfor %}
              </div>
            </li>
            <li class="nav-item dropdown" id="ajout-tab">
              <a class="nav-link dropdown-toggle " href="#" id="dropdown01" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Ajouter</a>
              <div class="dropdown-menu" aria-labelledby="dropdown01">
                <a class="dropdown-item" href="/new/album">Un album</a>
                <a class="dropdown-item" href="/new/artist">Un artiste</a>
              </div>
            </li>
          </ul>
          <form role="form" method="post" action="{{ url_for('search')}}" class="form-inline mt-2 mt-md-0">
              <input class="form-control mr-sm-2" type="text" placeholder = "Rechercher dans RockDB" name = "rq">
              <select name="select" class="selectpicker form-control mr-sm-2">
                <option>Albums</option>
                <option>Artistes</option>
                <option>Genres</option>
                <option>Année</option>
              </select>
              <input class="btn btn-primary mr-sm-5" type="submit" value="Search">
          </form>
          <ul class="nav navbar-nav navbar-right">
            {% if current_user.is_authenticated %}
            <li class="nav-item">
              <a href="{{ url_for('logout') }}">Log-out <i class="fas fa-sign-out-alt"></i></a>
            </li>
            {% endif %}
          </ul>
        </div>
</nav>
{% endblock %}

{% block scripts %}
{{ super() }}
<script>
  var curtab = "home-tab";
  $(function(){
    $('#'+curtab).addClass("active");
  });
</script>
{% endblock %}

{% block content %}
<main id="main" role="main" class="container">
  {% with messages = get_flashed_messages() %}
  {% if messages %}
  {% for message in messages %}
  <div class="alert alert-success" role="alert">
    <div class="text-center"><strong>{{ message }}</strong></div>
  </div>
  {% endfor %}
  {% endif %}
  {% endwith %}
{% block main %}{% endblock %}
</main>
{% endblock %}
